﻿@model Auction.ViewModels.Identity.RoleEditModel

@{
    ViewBag.Title = "Edit role";
}

<h2>Edit role</h2>
@Html.ValidationSummary()
@using (Html.BeginForm())
{
    <input type="hidden" name="roleName" value="@Model.Role.Name" />
    <div class="panel panel-primary">
        <div class="panel-heading">Add in role <b>@Model.Role.Name</b></div>
        <table class="table table-striped">
            @if (Model.NonMembers.Count() == 0)
            {
                <tr>
                    <td colspan="2">All users in a role</td>
                </tr>
            }
            else
            {
                <tr>
                    <td>User ID</td>
                    <td>Add in role</td>
                </tr>
                foreach (var user in Model.NonMembers)
                {
                    <tr>
                        <td>@user.UserName</td>
                        <td>
                            <input type="checkbox" name="IdsToAdd" value="@user.Id">
                        </td>
                    </tr>
                }
            }
        </table>
    </div>

    <div class="panel panel-primary">
        <div class="panel-heading">Remove from role <b>@Model.Role.Name</b></div>
        <table class="table table-striped">
            @if (Model.Members.Count() == 0)
            {
                <tr>
                    <td colspan="2">No users in the role</td>
                </tr>
            }
            else
            {
                <tr>
                    <td>User ID</td>
                    <td>Remove from role</td>
                </tr>
                foreach (var user in Model.Members)
                {
                    <tr>
                        <td>@user.UserName</td>
                        <td>
                            <input type="checkbox" name="IdsToDelete" value="@user.Id">
                        </td>
                    </tr>
                }
            }
        </table>
    </div>
    <button type="submit" class="btn btn-primary">Save</button>
    @Html.ActionLink("Cancel", "Index", null, new { @class = "btn btn-default" })
}

